Subject: Re: bug#30106: Loading file /sources/emacs/lisp/emacs-lisp/ert.elc failed to provide feature `mod-test'

From: Jean Louis <[email-masked]>
Date: Tue, 16 Jan 2018 08:17:27 +0300

Hello,

On Mon, Jan 15, 2018 at 10:15:55PM +0200, Eli Zaretskii wrote:
> > Date: Mon, 15 Jan 2018 21:55:33 +0300
> > From: Jean Louis <[email-masked]>
> > Cc: [email-masked]
> > 
> > I can see that 'make check' fails so:
> > 
> >   ELC      src/emacs-module-tests.elc
> > Emacs module assertion: Module function called from outside the current Lisp thread
> > /bin/sh: line 1:  6214 Aborted                 EMACSLOADPATH= LC_ALL=C EMACS_TEST_DIRECTORY=/sources/emacs/test "../src/emacs" --module-assertions -batch --no-site-file --no-site-lisp -L ":." -f batch-byte-compile src/emacs-module-tests.el
> > make[3]: *** [Makefile:146: src/emacs-module-tests.elc] Error 134
> > make[3]: Target 'src/emacs-module-tests.log' not remade because of errors.
> >   GEN      src/eval-tests.log
> 
> Was your Emacs built with threads?  What OS is that?

I tried building with this configuration:

./configure --prefix=/package/text/emacs
--with-modules --without-all --without-pop
--with-mailutils

and OS is just GNU with kernel Linux, I do not use
distributions, I am compiling from source.

I have tried --without-threads and it is not
working as well.

Jean